QXmppVCardIq Class Reference

Represents the XMPP vCard. More...

`#include <QXmppVCardIq.h>`

Inheritance diagram for QXmppVCardIq:
[legend]
Collaboration diagram for QXmppVCardIq:
[legend]

## Public Member Functions

| QXmppVCardIq (const QString &bareJid=QString())
| QXmppVCardIq (const QXmppVCardIq &other)
| Constructs a copy of other.
QXmppVCardIq & | operator= (const QXmppVCardIq &other)
| Assigns other to this vCard IQ.
QDate | birthday () const
void | setBirthday (const QDate &birthday)
QString | description () const
| Returns the free-form descriptive text.
void | setDescription (const QString &description)
| Sets the free-form descriptive text.
QString | email () const
void | setEmail (const QString &)
QString | firstName () const
void | setFirstName (const QString &)
QString | fullName () const
void | setFullName (const QString &)
QString | lastName () const
void | setLastName (const QString &)
QString | middleName () const
void | setMiddleName (const QString &)
QString | nickName () const
void | setNickName (const QString &)
QByteArray | photo () const
void | setPhoto (const QByteArray &)
| Sets the photo's binary contents.
QString | photoType () const
| Returns the photo's MIME type.
void | setPhotoType (const QString &type)
| Sets the photo's MIME type.
QString | url () const
void | setUrl (const QString &)
QList< QXmppVCardAddress > | addresses () const
| Returns the addresses.
void | setAddresses (const QList< QXmppVCardAddress > &addresses)
| Sets the addresses.
QList< QXmppVCardEmail > | emails () const
| Returns the e-mail addresses.
void | setEmails (const QList< QXmppVCardEmail > &emails)
| Sets the e-mail addresses.
QList< QXmppVCardPhone > | phones () const
| Returns the phone numbers.
void | setPhones (const QList< QXmppVCardPhone > &phones)
| Sets the phone numbers.
QXmppVCardOrganization | organization () const
| Returns the organization info.
void | setOrganization (const QXmppVCardOrganization &)
| Sets the organization info.
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Additional Inherited Members

Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Detailed Description

Represents the XMPP vCard.

The functions names are self explanatory. Look at QXmppVCardManager and XEP-0054: vcard-temp for more details.

There are many field of XMPP vCard which are not present in this class. File a issue for the same. We will add the requested field to this class.

## Constructor & Destructor Documentation

## QXmppVCardIq()

QXmppVCardIq::QXmppVCardIq | ( | const QString & | jid = `QString()` | ) |

Constructs a QXmppVCardIq for the specified recipient.

Parameters

  jid |

## Member Function Documentation

## birthday()

QDate QXmppVCardIq::birthday | ( |  | ) | const

Returns the date of birth of the individual associated with the vCard.

## email()

QString QXmppVCardIq::email | ( |  | ) | const

Returns the email address.

## firstName()

QString QXmppVCardIq::firstName | ( |  | ) | const

Returns the first name.

## fullName()

QString QXmppVCardIq::fullName | ( |  | ) | const

Returns the full name.

## lastName()

QString QXmppVCardIq::lastName | ( |  | ) | const

Returns the last name.

## middleName()

QString QXmppVCardIq::middleName | ( |  | ) | const

Returns the middle name.

## nickName()

QString QXmppVCardIq::nickName | ( |  | ) | const

Returns the nickname.

## photo()

QByteArray QXmppVCardIq::photo | ( |  | ) | const

Returns the photo's binary contents.

If you want to use the photo as a QImage you can use:

QBuffer buffer;
buffer.setData(myCard.photo());
buffer.open(QIODevice::ReadOnly);
QImageReader imageReader(&buffer);
QImage myImage = imageReader.read();

## setBirthday()

void QXmppVCardIq::setBirthday | ( | const QDate & | birthday | ) |

Sets the date of birth of the individual associated with the vCard.

Parameters

  birthday |

## setEmail()

void QXmppVCardIq::setEmail | ( | const QString & | email | ) |

Sets the email address.

Parameters

  email |

## setFirstName()

void QXmppVCardIq::setFirstName | ( | const QString & | firstName | ) |

Sets the first name.

Parameters

  firstName |

## setFullName()

void QXmppVCardIq::setFullName | ( | const QString & | fullName | ) |

Sets the full name.

Parameters

  fullName |

## setLastName()

void QXmppVCardIq::setLastName | ( | const QString & | lastName | ) |

Sets the last name.

Parameters

  lastName |

## setMiddleName()

void QXmppVCardIq::setMiddleName | ( | const QString & | middleName | ) |

Sets the middle name.

Parameters

  middleName |

## setNickName()

void QXmppVCardIq::setNickName | ( | const QString & | nickName | ) |

Sets the nickname.

Parameters

  nickName |

## setUrl()

void QXmppVCardIq::setUrl | ( | const QString & | url | ) |

Sets the URL associated with the vCard. It can represent the user's homepage or a location at which you can find real-time information about the vCard.

Parameters

  url |

## url()

QString QXmppVCardIq::url | ( |  | ) | const

Returns the URL associated with the vCard. It can represent the user's homepage or a location at which you can find real-time information about the vCard.

The documentation for this class was generated from the following files:

- QXmppVCardIq.h
- QXmppVCardIq.cpp